uniform sampler2D       s_texture;
varying mediump vec2    v_tex_coord;
varying lowp vec4    v_color;

void main(void)
{
	if (mod(gl_FragCoord.x, 2.0) > 0.5) {
	   gl_FragColor = v_color * texture2D(s_texture, v_tex_coord);
	} else {
	   gl_FragColor = vec4(0, 0, 0, 0);
	}
}
