uniform sampler2D       s_texture;
uniform highp float blur;
varying mediump vec2    v_tex_coord;
varying mediump vec4    v_color;

void main(void)
{
	mediump vec2 v1 = v_tex_coord + vec2(blur, 0);
	mediump vec2 v2 = v_tex_coord + vec2(-blur, 0);
	mediump vec2 v3 = v_tex_coord + vec2(0, blur);
	mediump vec2 v4 = v_tex_coord + vec2(0, -blur);
	mediump vec4 c = 0.25 * (texture2D(s_texture, v1) + texture2D(s_texture, v2) + texture2D(s_texture, v3) + texture2D(s_texture, v4));
	 gl_FragColor = v_color * c;
}
